/* 
 *  Copyright (C) 2005-2007  I-Lun Tseng
 * 
 *  This file is part of OwlVision.
 *
 *  OwlVision is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  OwlVision is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with OwlVision; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *  
 */


public class DSxyDNode {
	
	private int 	   x;
	private int 	   y;
	private DSxyDNode  prev;
	private DSxyDNode  next;
	
	public DSxyDNode (int x_value, int y_value) {
		x 		= x_value;
		y 		= y_value;
		prev 	= null;
		next 	= null;
	}
	
	public void setPrev( DSxyDNode p) {
		prev = p;
	}
	
	public void setNext( DSxyDNode n) {
		next = n;
	}
	
	public int getX() {
		return( x );
	}
	
	public int getY() {
		return( y );
	}
	
	public DSxyDNode getPrev() {
		return( prev );
	}
	
	public DSxyDNode getNext() {
		return( next );
	}

}
